package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 院校专业对象 b_busi_wish_university_marjors
 * 
 * @author mingxue
 * @date 2021-07-30
 */
public class BBusiWishUniversityMarjors extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 有键 */
    private Long id;

    /** 院校 */
    @Excel(name = "院校")
    private Long universityId;

    /** 代码 */
    @Excel(name = "代码")
    private Long marjorsId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 类别 */
    @Excel(name = "类别")
    private String type;

    /** 层次 */
    @Excel(name = "层次")
    private String level;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Integer status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUniversityId(Long universityId) {
        this.universityId = universityId;
    }

    public Long getUniversityId() {
        return universityId;
    }

    public void setMarjorsId(Long marjorsId) {
        this.marjorsId = marjorsId;
    }

    public Long getMarjorsId() {
        return marjorsId;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getLevel() {
        return level;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("universityId", getUniversityId())
            .append("marjorsId", getMarjorsId()).append("name", getName()).append("type", getType()).append("level", getLevel())
            .append("remark", getRemark()).append("createTime", getCreateTime()).append("status", getStatus()).toString();
    }
}
